Kerbal Space Program - Bug #10007

EVA Boarding fails
06/22/2016 11:54 AM - bewing

Status: Closed Start date: 06/22/2016
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.2.0

Version: 1.1.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Pure unmodded KSP 1.1.3 on Win 7 pro, 64 bit. Upgraded from 1.1.2 by steam (not a fresh install), all files verified by steam.

Requirements to replicate the bug:

1) The attached rocket. | tried one other rocket, and EVA boarding worked correctly on it.

2) Launch from the ground. | really would like to provide a savegame in space, where you just have to EVA and try to board and
watch it fail. But if you load a savegame in space, the bug does not happen.

3) Stage the rocket. If you do not stage away the SRBs, the bug does not happen.

To replicate: load the sandbox mode savegame (nuke_on_pad). It has a rocket on the pad. Verify that SAS is on, hit X to kill the
second stage, and launch straight up. When the SRBs burn out, stage them away. When you reach space, EVA the pilot, then hit B
to reboard the pod.

What happens: the pilot does not board the capsule, and remains on the ladder outside. The pilot cannot be accessed, and the
controls move the rocket, not the pilot -- even when the game says that the pilot has focus. You can revert the flight. But if you try to
click the button to go back to the Space Center it gives you the warning window that says "You are on a ladder, so the game cannot
be saved at this point."

Related issues:

Related to Kerbal Space Program - Bug #10109: MPL EVA, Cloning Kerbals withou... Duplicate 07/16/2016
Related to Kerbal Space Program - Bug #10045: Clamp-O-Tron Fails to Function Closed 06/25/2016
Related to Kerbal Space Program - Bug #10055: Jeb appeared after EVA of a res... Duplicate 06/26/2016
Related to Kerbal Space Program - Bug #10214: Duplicate Kerbals on re entry t... Duplicate 07/29/2016
History

#1 - 06/22/2016 12:06 PM - bewing

Since this is an issue only for rockets that have been freshly launched from the ground, there are several workarounds. Switching focus to something
else will destroy the ability to revert, but will prevent the bug. You can also take a savegame before any EVA, and if the EVA fails then reloading the
savegame and doing the EVA again will succeed.

#2 - 06/24/2016 12:47 AM - gappleto97

- File KSP.log added

- File Mobile Station Mk | Comms Module.craft added
- File Mobile Station Mk I.craft added

- File persistent.7z added

bewing wrote:
Since this is an issue only for rockets that have been freshly launched from the ground, there are several workarounds. Switching focus to

something else will destroy the ability to revert, but will prevent the bug. You can also take a savegame before any EVA, and if the EVA fails then
reloading the savegame and doing the EVA again will succeed.

| got the same error while in space, from a not-freshly launched ship. The caveat there is that | have several mods installed, but looking at the logs,
the error message is identical. The difficulty is that | can't reliably reproduce this in space.
Platform: Linux (kubuntu 16.04)
Version: 1.1.3 (steam, from 1.1.2)
Mods installed:

RemoteTech
KerbalAlarmClock
Kerbal Engineer Redux
Better Engine Lighting
EVSE

RealPlume

Scatterer
SmokeScreen
ModuleManager

Unfortunately, | do not have a Player.log to attach, but | will try to replicate the error. In the meantime, | will post the save/craft files and KSP.log.

To reproduce: EVA one of the Kerbals in the Hitchhiker capsule while in low orbit of Mun

#3 - 07/17/2016 10:13 AM - TriggerAu
- Status changed from New to Updated
- % Done changed from 0 to 10

Be good to get a confirmation of this on an unmodded install using bewings repro steps

#4 - 07/17/2016 07:35 PM - Anth12
- File KSP.log added
- Status changed from Updated to Confirmed

Confirmed

Windows 10 Pro

Steam version 1.1.3 Unmodded

Game save didnt work. went to black screen and never went to launch pad
Used supernuke2.craft and loaded it in VAB then used launch.

Launched straight up into space with SAS on.
Stage the rockets until theres just the nuclear engine left...made sure im past 70000m

eva...press B and valentina stays outside the ship.
LogFile attached with errors at 07:27:58.434

#5 - 07/17/2016 11:12 PM - TriggerAu
- Related to Bug #10109: MPL EVA, Cloning Kerbals without Control added

#6 - 07/17/2016 11:24 PM - Claw

Thanks for the report, I've been able to replicate here. It's the same sort of bug that was caused by the fairings and, in this case, has to do with the
NERVA fairings.

#7 - 07/17/2016 11:55 PM - Claw
- Related to Bug #10045: Clamp-O-Tron Fails to Function added

#8 - 08/01/2016 08:04 AM - sal_vager
- Related to Bug #10055: Jeb appeared after EVA of a rescued kerbal that was alone in a MK1 pod during a rescue mission added

#9 - 08/01/2016 08:05 AM - sal_vager
- Related to Bug #10214: Duplicate Kerbals on re entry to capsule after EVA added

#10 - 10/11/2016 05:49 PM - fommil

- File Recover.craft added

| also experience this bug, originally reported here http://forum.kerbalspaceprogram.com/index.php?/topic/147248-kerbals-duplicating-on-eva-return/
It happens regularly for me when | send up a small probe to recover low Kerbin orbit kerbals.

Sometimes when a kerbal goes on EVA and tries to return to the vessel, | get control of the ship but the kerbal seems to stay outside the vessel and |
cannot select them. They effectively die. It's really annoying | just hope | have a savegame that | can manually backup at that point then restart.

It is too erratic to be able to reliably reproduce, so | haven't been able to minimise my plugin set. My full list of plugins is (and latest versions in
CKAN):

"name": "ModuleManager"
"name": "FerramAerospaceResearch"
"name": "ModularFlightIntegrator"
"name": "RemoteTech"
"name": "KerbalEngineerRedux"
"name": "SVE-Sunflare"
"name": "SVE-HighResolution"
"name": "Chatterer"
"name": "SCANsat"

I've attached the logs of what happens for the entire EVA and there are two exceptions, but | cannot see which module is causing the problem.

[LOG 21:15:30.961] [F: 24232]: [05:07:31]: Anchel Kerman from MunSci3 went on EVA.
[LOG 21:15:30.972] [ModularFlightintegrator] MFI Start

[LOG 21:15:30.972] [ModularFlightintegrator] Start. VesselModule on vessel :
ModularFlightintegrator

FlightGUI

FARVesselAero

[LOG 21:15:30.972] Handling Stuff for KerbalEVA / Flag

[LOG 21:15:31.043] Adding vox box to Kerbal / Flag

[LOG 21:15:31.073] [FLIGHT GLOBALS]: Switching To Vessel Anchel Kerman ----------------------
[LOG 21:15:31.074] [PlanetariumCamera]: Focus: Anchel Kerman

[WRN 21:15:31.078] [Part]: kerbalEVA (Anchel Kerman) holds crew but has no interior model defined!
[LOG 21:15:31.093] [CHATR] Capsule starts the exchange...

[EXC 21:15:31.096] ArgumentOutOfRangeException: Argument is out of range.

Parameter name: index

System.Collections.Generic.List™ 1[UnityEngine.Renderer].get_Item (Int32 index)

Part.highlight (Color highlightColor)

Part.highlight (Boolean active)

Part.SetHighlight (Boolean active, Boolean recursive)

Part.SetHighlightDefault ()

KSP.Ul.Screens.Flight. TemperatureGauge.OnDestroy ()

[LOG 21:15:32.184] Updating vessel voxel for Anchel Kerman

[LOG 21:15:32.312] Std dev for smoothing: 3 voxel total vol: 0.200000095367443 filled vol: 0.201879643291949

[LOG 21:15:33.715] [Experiments]: Setting FX Modules to 1...

[LOG 21:15:33.715] [Experiments]: FX Modules set: 1

[LOG 21:15:39.062] [Experiments]: Setting FX Modules to 0...

[LOG 21:15:39.062] [Experiments]: FX Modules set: 0

[LOG 21:15:39.063] [F: 24475]: [00:00:08]: Anchel Kerman boarded Mk1 Lander Can on MunSci3.
[LOG 21:15:39.063] [FLIGHT GLOBALS]: Switching To Vessel MunSci3 ----------------------
[LOG 21:15:39.064] [PlanetariumCamera]: Focus: MunSci3

[LOG 21:15:39.068] Camera Mode: AUTO

[EXC 21:15:39.083] ArgumentOutOfRangeException: Argument is out of range.
Parameter name: index

System.Collections.Generic.List" 1[UnityEngine.Renderer].get_Iltem (Int32 index)
Part.highlight (Color highlightColor)

Part.highlight (Boolean active)

Part.SetHighlight (Boolean active, Boolean recursive)
KSP.Ul.Screens.Stagelcon.HighlightPart (Boolean highlightState)
KSP.Ul.Screens.Stagelcon.Highlight (Boolean highlightState, Boolean highlightReferencedPart)
KSP.Ul.Screens.ProtoStagelcon.Createlcon (Boolean alertStagingSequencer)
Vessel.ResumeStaging ()

Vessel.MakeActive ()

FlightGlobals.setActiveVessel (.Vessel v, Boolean force)
FlightGlobals.ForceSetActiveVessel (.Vessel v)

KerbalEVA.proceedAndBoard (.Part p)

KerbalEVA.BoardPart (.Part p)

KerbalEVA.<SetupFSM>m__C9 ()

KerbalFSM.RunEvent (.KFSMEvent evt)

KerbalFSM.updateFSM (KFSMUpdateMode mode)

KerbalFSM.UpdateFSM ()

KerbalEVA.Update ()

[LOG 21:16:07.368] UlMasterController: ShowUI

[LOG 21:16:07.368] Game Paused!

[LOG 21:16:07.369] There are Kerbals on a ladder. Cannot save

[LOG 21:16:10.447] Flight State Captured

04/17/2024 3/4



#11 - 10/13/2016 12:30 PM - Squeich
- Status changed from Confirmed to Ready to Test
- Target version set to 1.2.0

- % Done changed from 10 to 80

This was addressed and fixed for KSP 1.2

#12 - 11/06/2016 08:02 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing as this was fixed in 1.2.0

Files

KSP.log 217 KB 06/22/2016 bewing
output_log.ixt 472 KB 06/22/2016 bewing
supernuke2.craft 110 KB 06/22/2016 bewing
nuke_on_pad.sfs 160 KB 06/22/2016 bewing
pre_eva.sfs 162 KB 06/22/2016 bewing
KSP.log 806 KB 06/24/2016 gappleto97
Mobile Station Mk | Comms Module.craft 195 KB 06/24/2016 gappleto97
Mobile Station Mk I.craft 208 KB 06/24/2016 gappleto97
persistent.7z 152 KB 06/24/2016 gappleto97
KSP.log 283 KB 07/17/2016 Anth12
Recover.craft 128 KB 10/11/2016 fommil
